<?xml version="1.0"?>

<launch>
  <arg name="drone"      default="intelaero_laserscan"/>
  <arg name="drone_name" default="$(arg drone_name)"/>
  <arg name="number"      default= "0" />
  <arg name="target_px"   default="0.0"/>
  <arg name="target_py"   default="0.0"/>
  <arg name="target_pz"   default="2.0"/>
  <arg name="x"          default="0.0"/>
  <arg name="y"          default="0.0"/>
  <arg name="z"          default="0.0"/>
  <arg name="roll"       default="0.0" />
  <arg name="pitch"      default="0.0" />
  <arg name="yaw"        default="0.0" />

  <include file="$(find chroma_gazebo_interfaces)/launch/drone_pilot.launch">
    <arg name="drone"      value="$(arg drone)"/>
    <arg name="drone_name" value="$(arg drone_name)_$(arg number)"/>
    <arg name="x"         value="$(eval arg('x') + 2*arg('number'))"/>
    <arg name="y"         value="$(arg y)"/>
    <arg name="z"         value="$(arg z)"/>
    <arg name="target_px"   value="$(eval arg('y') + 2*arg('number'))"/>
    <arg name="target_py"   value="$(arg y)"/>
    <arg name="target_pz"   value="$(arg z)"/>
    <arg name="roll"      value="$(arg roll)" />
    <arg name="pitch"     value="$(arg pitch)" />
    <arg name="yaw"       value="$(arg yaw)" />
  </include>

  <include file="$(find chroma_gazebo_interfaces)/launch/recursif_drone_pilot.launch" if="$(eval arg('number') > 0)">
    <arg name="drone"      value="$(arg drone)"/>
    <arg name="drone_name" value="$(arg drone_name)"/>
    <arg name="number"     value="$(eval arg('number')-1)"/>
    <arg name="x"         value="$(arg x)"/>
    <arg name="y"         value="$(arg y)"/>
    <arg name="z"         value="$(arg z)"/>
    <arg name="roll"      value="$(arg roll)" />
    <arg name="pitch"     value="$(arg pitch)" />
    <arg name="yaw"       value="$(arg yaw)" />
  </include>



</launch>
